# Armor Stand Tools
# by St3venAU
# St3venAU@gmail.com
#
# Main Config
#
# File generated by: v4.4.4
# (If this is not the version you are running, consider deleting this
#  config to allow it to be re-created. There may be new config options)
#
# Features:
#   - Summon armor stands
#   - Name armor stands
#   - Toggle: Gravity, Visibility, Arms, Base, Size, Invulnerability, Equipment Lock
#   - Manipulate the position of the Head, Body, Arms and Legs
#   - Full control over armor stand's inventory (armor & items in hands)
#   - Clone armor stand tool
#   - Create command block tool: Creates a command block with the command that will summon this
#     armor stand in its current state
#   - Player head tool: Set's an armor stand's head to the head of a specified player.
#   - Support for WorldGuard regions.
#   - User customizable language config.
#
# Commands:
#   /astools                        Give yourself all of the armor stand tools (Note: Clears your inventory)
#   /astools reload                 Reload the armor stand tools plugin config file
#   /ast                            Alias for the /astools
#   /ascmd add <priority> <delay> <player/console/bungee> <command/bungee_server_name>
#                                   Add an assigned command to the nearest armor stand. See the assigning commands section below for more info.
#   /ascmd remove <command_number>  Remove the command assigned to the nearest armor stand
#   /ascmd list                     List the commands assigned to the nearest armor stand
#   /ascmd cooldown <ticks>         Set the cooldown for the command on nearest armor stand (Setting this overrides the default cooldown from config.yml)
#   /ascmd cooldown remove          Remove the cooldown for the command on nearest armor stand (Default cooldown set in config.yml will be used)
#   Note: Commands may include a %player% placeholder, which will get replaced by the executing player's name at time of execution.
#
# Permissions:
#   astools.command                 Permission for the /astools command
#   astools.reload                  Permission to reload the plugin with /astools reload
#   astools.use                     Permission for using any of the tools (except the ones below that have their own separate permissions)
#   astools.clone                   Permission to use the clone tool (Clones an armor stand without requiring the materials)
#   astools.summon                  Permission to use the summon tool (Summons an armor stand without requiring the materials)
#   astools.head                    Permission to use the player head tool (Ability to specify a player head for an armor stand)
#   astools.cmdblock                Permission to use the save tool (Creates a command block)
#   astools.glow                    Permission to use the glow tool (Glow effect on armor stands)
#   astools.ascmd.add.console       Permission to add a console command to an armor stand (Previously astools.ascmd.assign.console)
#   astools.ascmd.add.player        Permission to add a player command to an armor stand (Previously astools.ascmd.assign.player)
#   astools.ascmd.add.bungee        Permission to add a bungee command to an armor stand (See below for details)
#   astools.ascmd.remove            Permission to remove a command from an armor stand
#   astools.ascmd.list              Permission to list the commands assigned to an armor stand  (Previously astools.ascmd.view)
#   astools.ascmd.cooldown          Permission to add/remove a cooldown to commands assigned to an armor stand
#   astools.ascmd.execute           Permission to execute commands assigned to an armor stand by (on right click)
#   astools.bypass-wg-flag          Permission to bypass AST's custom worldguard flag (see below for more details)
#
# Assigning Commands to Armor Stands:
#   - Stand close to the armor stand (The nearest armor stand within 4 blocks is selected) and use the command:
#     /ascmd add <priority> <delay> <player/console/bungee> <command/bungee_server_name>
#   - <priority>: When multiple commands are assigned, commands with the lowest priority number are executed first.
#                   Command with the same priority can be executed in any order.
#   - <delay>: Delay in ticks before the command is executed.
#   - <player\console\bungee>: Player commands are executed as if they were typed by the player.
#                              Console commands are executed by the console.
#                              Bungee commands are a special case (see below).
#   - <command/bungee_server_name>: The command to be executed. To use the executing player's name in the command, use the
#                                   placeholder %player% - it will be replaced with the players name at time of execution.
#   - When a player with the astools.ascmd.execute permission right-clicks on an armor stand, commands assigned to that
#     armor stand are executed.
#   - Warning: Make sure you are careful when assigning console commands. Any player with the astools.ascmd.execute
#              permission will be able to execute the command.
#   - By default, any command assigned to an armor stand will use the default cooldown set in config.yml. This can be
#     set on an individual basis using the /ascmd cooldown <ticks> command.
#   - Bungee commands: These are used to send the player to a different BungeeCord server. E.g. This will add a command
#                      to send the player to a server called server1: /ascmd add 0 0 bungee server1
#
# WorldGuard Integration:
#   - If a player does not have build permission for the region, that player will also be denied the use of AST in that region.
#   - Additionally, there is a custom region flag named 'ast' which defaults to Allow, this can be changed to Deny if you wish
#     to have a region in which players have build permission, but not permission to use AST.
#   - The ast worldguard flag is ignored for any player with the permission node 'astools.bypass-wg-flag'. This means that a
#     player with this permission can use AST in worldguard regions even if the ast flag for that region is set to Deny.
#   - The ast worldguard flag is also ignored for players that have op.
#

# General config
integrateWithWorldGuard: true
allowMovingStandsBetweenWorlds: false
deactivateToolsOnWorldChange: true
requireCreativeForSaveAsCmdBlock: false
crouchRightClickOpensGUI: false
defaultASCmdCooldownTicks: 0
bypassWorldguardForASCmdExecution: false
saveToolCreatesCommandBlock: true
logGeneratedSummonCommands: false
useCommandForTextInput: false
showDebugMessages: false

# Uncomment the section below to deny players access to commands of your choice when they have any AST tools in their inventory
# Add as many command as you wish. Only the first word of each command is needed, anything after the first space is ignored.

#deniedCommandsWhileUsingTools:
#  - sell

# These are the defaults for spawning new armor stands with the /astools (or /ast) armor stand
helmet: AIR
chest: AIR
pants: AIR
boots: AIR
inHand: AIR
inOffHand: AIR
isVisible: true
isSmall: false
hasArms: true
hasBasePlate: false
hasGravity: false
name: ''
invulnerable: false
equipmentLock: false

# Enable/Disable Tools
enableTool:
  headX: true
  headY: true
  headZ: true
  lArmX: true
  lArmY: true
  lArmZ: true
  rArmX: true
  rArmY: true
  rArmZ: true
  moveX: true
  moveY: true
  moveZ: true
  lLegX: true
  lLegY: true
  lLegZ: true
  rLegX: true
  rLegY: true
  rLegZ: true
  bodyX: true
  bodyY: true
  bodyZ: true
  summon: true
  gui: true
  rotat: true
  gui_clone: true
  gui_gen_cmd: true
  gui_invis: true
  gui_size: true
  gui_base: true
  gui_grav: true
  gui_arms: true
  gui_name: true
  gui_slots: true
  gui_pHead: true
  gui_invul: true
  gui_move: true
  gui_glow: true
  gui_head: true
  gui_body: true
  gui_larm: true
  gui_rarm: true
  gui_lleg: true
  gui_rleg: true
  gui_item: true